Subject: Re: `guix build hello' now succeeds on the Hurd

From: Manolis Ragkousis <[email-masked]>
Date: Tue, 10 Mar 2020 17:04:16 +0200

Hello Jan,

First of all awesome work!!

On 3/10/20 10:59 AM, Jan Nieuwenhuizen wrote:
> I briefly looked at more work-in-progress daemon patches by Manolis, but
> stopped when I found that it needs [t]his "new" libhurdutils library...
> @Manolis?
> 

This is that work
https://github.com/Phant0mas/Hurd/commit/3501ee22ad4150b3b2cf9a386d2350b9a68aecd8.patch

It was working, needed some cleanup but it never got merged. What is
does is implement mount and bind mounts using the hurd firmlinks.

>> Merging what you have—the earlier the better.  :-)
>>> Shall I push this to savannah as `wip-hurd' (possibly save wip-hurd->
>>> `wip-hurd-old?);

I don't think we need to keep the old wip-hurd. Just get rid of it.

Manolis